Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename acorn-dynamic-import

# tests disabled due to missing npm(babel-register) needed for tests
%global enable_tests 0

Name:		nodejs-acorn-dynamic-import
Version:	3.0.0
Release:	alt1_3
Summary:	Support dynamic imports in acorn

License:	MIT
URL:		https://github.com/kesne/acorn-dynamic-import.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(acorn)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Support dynamic imports in acorn


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package


chmod -x LICENSE


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt1_3
- new version

